Page MenuHomePhabricator

Document AdvancedSearchDeepcatEnabled setting
Closed, ResolvedPublic

Description

The setting AdvancedSearchDeepcatEnabled is currently not described in docs/settings.md.

The feature was just requested at https://www.mediawiki.org/wiki/Topic:Uw036nwsilvb6w3t.

Event Timeline

thiemowmde triaged this task as Medium priority.Mar 19 2019, 7:30 AM
thiemowmde updated the task description. (Show Details)

Can I work on this?

Yes, please! There is a short line of documentation in extension.json you might want to use. See https://codesearch.wmflabs.org/search/?q=AdvancedSearchDeepcatEnabled.

I have made the necessary changes looking forward to contributing.Can you provide me the necessary information as this repo doesn't has a contribution.md file so I dont know how to contribute

There is typically no contributions.md file in any of the Wikimedia repositories. A possible starting point might be https://www.mediawiki.org/wiki/How_to_contribute, and possibly https://www.mediawiki.org/wiki/Gerrit/Tutorial.

Actually I have made changes according to my understanding.I just want to know is that enough or I will add more.Please provide a link or something to get that information.

Can we see your changes, please? Do you know how to upload a patch for review to the Wikimedia Gerrit system?

I was trying but I get this error while committing changes ".git/hooks/commit-msg: 1: .git/hooks/commit-msg: Syntax error: redirection unexpected".Can you please help?

To push changes to the Wikimedia Gerrit system, you need to use git review, as described here: https://www.mediawiki.org/wiki/Gerrit/git-review. If you did that already, the error might be an incomplete clone. Usually, cloning should be done via SSH. The address can be found here: https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/AdvancedSearch.

This error only shows when I am in a different branch. What should I do?

But for the base branch it works fine.

I think you are right I just tried it with a different project cloned with ssh and it works fine. May be cloning problem.

Change 569339 had a related patch set uploaded (by Swayamsvk; owner: Swayam Samyak Debasis):
[mediawiki/extensions/AdvancedSearch@master] Updating settings.md

https://gerrit.wikimedia.org/r/569339

Please let me know if I have done the changes in the right manner and if I have to more details in it.

Change 570302 had a related patch set uploaded (by Swayamsvk; owner: Swayamsvk):
[mediawiki/extensions/AdvancedSearch@master] Added the required changes.

https://gerrit.wikimedia.org/r/570302

Change 570302 abandoned by Swayamsvk:
Added the required changes.

Reason:
Modifying the original patch.

https://gerrit.wikimedia.org/r/570302

Updated the previous patch and sent it for review.

Please review my PR.

Please review my PR.

Hi @Swayamsrk, the patch has received a review and needs some more smaller changes. Do you fancy doing that? :)

I am not working on this task currently so anyone can take this task.

Aklapper removed Swayamsrk as the assignee of this task.Mar 9 2020, 12:40 PM
Aklapper edited projects, added Patch-Needs-Improvement; removed Patch-For-Review.
Aklapper added a subscriber: Swayamsrk.

Ah, thanks!

Change 569339 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Describe $wgAdvancedSearchDeepCatEnabled in docs/settings.md

https://gerrit.wikimedia.org/r/569339

Gechy added a subscriber: Gechy.Oct 19 2020, 8:34 PM

Hello @Aklapper , is this task still open for contribution.. i will like to take it up.

Aklapper closed this task as Resolved.Oct 19 2020, 10:19 PM
Aklapper assigned this task to Swayamsrk.
Aklapper removed a project: Patch-Needs-Improvement.

@Gechy: Hi, please check yourself by reading the previous comments and patches here, and by checking the links in the task description. :)

It looks like this was fixed by @Swayamsrk in https://gerrit.wikimedia.org/r/569339 and it was forgotten to set the task status to resolved here.